#ifndef _MOVING_OBSTACLE_H_
#define _MOVING_OBSTACLE_H_

#include "Obstacle.h"

using namespace sf;

class MovingObstacle : public Obstacle
{
	// Pixels / sec
	Vector2f m_Speed;

	float m_LimitMin;
	float m_LimitMax;
	// true: x, false: y
	bool m_LimitAxis;

	// -1.f ou 1.f
	float m_Direction;

public:
	MovingObstacle(CTexture *texture, Vector2f pos, Vector2f speed, float limitMin, float limitMax, bool limitAxis);
	virtual ~MovingObstacle(void);

	void FrameMove(float elapsedTime);
};

#endif
