#ifndef BOMBERMAN_SCREEN_H
#define BOMBERMAN_SCREEN_H

#include <SFML/Graphics.hpp>

using namespace sf;

class Screen
{
protected:
	bool m_Enable;
	bool m_Display;

public:
	Screen(void);
	virtual ~Screen(void);

	inline bool IsEnabled(void) const { return m_Enable; }
	inline void Enable(bool enable) { m_Enable = enable; }

	inline bool IsDisplayed(void) const { return m_Display; }
	inline void Display(bool display) { m_Display = display; }

	virtual bool FrameMove(float /*elapsedTime*/) { return true; };
	virtual void Render(RenderWindow &screen) const = 0;
};

#endif
