#ifndef Timer_h
#define Timer_h

#include <SFML/Window.hpp>

using namespace sf;

class Timer : public Clock
{
private:
    float pausedTicks,
      pausedTime;

    bool paused,
         started;

    public:

        Timer(void);
        ~Timer(void);

        void Reset(void);   //   Remet  0 le compteur et le lance
        void Pause(void);   //   Met en pause le compteur
        void Unpause(void);   //   Relance un compteur mis en pause

        float GetTicks(void);   //   Renvoi le temps coul depuis le lancement mois les temps de pause

        bool IsStarted(void);   //   Test si le compteur est lanc
        bool IsPaused(void);   //   Test si le compteur est en pause
};

#endif
