#ifndef _FONT_H
#define _FONT_H

#include <SFML/Graphics.hpp>

using namespace sf;

class CFont : public Font
{
private:
	std::string m_Font;
	sf::Color m_Color;
	unsigned int m_Size;

public:

	CFont();
	CFont( const std::string &fontName, Color color=Color(255,255,255), unsigned int size=32 );
    ~CFont(void);

// Mthodes ---------------------------------------------------------------//

public:
	inline void SetColor( Color color ) { m_Color = color; }
	inline Color GetColor(void)			{ return m_Color; }

	inline void SetSize( unsigned int size)	{ m_Size = size; }
	inline unsigned int GetSize() { return m_Size; }

	sf::Text* MakeString( const std::string &text);
};

#endif
