#include <graphics/Font.h>

CFont::CFont()
{

}

CFont::CFont( const std::string &fontName, Color color, unsigned int size )
{
    m_Font = fontName;
	m_Color = color;
    m_Size = size;
	LoadFromFile(m_Font);
}

CFont::~CFont(void)
{
}


sf::Text* CFont::MakeString(const std::string &text)
{
	sf::Text* str = new sf::Text( text, *this, (float)m_Size);
	str->SetColor(m_Color);
	return str;
}
