#include "SpinningObstacle.h"
#include <iostream>

SpinningObstacle::SpinningObstacle(CTexture *texture /*= NULL*/, Vector2f pos /*= Vector2f(0.f, 0.f)*/,
	float rotSpeed /*= 25.f*/):
Obstacle		(texture, pos),
m_RotationSpeed	(rotSpeed)
{
	
}

SpinningObstacle::~SpinningObstacle(void)
{
}

void SpinningObstacle::FrameMove(float elapsedTime)
{
	m_Texture->SetRotation(m_Texture->GetRotation() + elapsedTime * m_RotationSpeed);
}

void SpinningObstacle::SetSpinningSpeed(float rotSpeed)
{
	m_RotationSpeed = rotSpeed;
}
