#ifndef _SPINNING_OBSTACLE_H_
#define _SPINNING_OBSTACLE_H_

#include "Obstacle.h"

class SpinningObstacle : public Obstacle
{
	// Degree / sec
	float m_RotationSpeed;

public:
	SpinningObstacle(CTexture *texture = NULL, Vector2f pos = Vector2f(0.f, 0.f), float rotSpeed = 50.f);
	virtual ~SpinningObstacle(void);

	void FrameMove(float elapsedTime);

	void SetSpinningSpeed(float rotSpeed);
};

#endif
