#ifndef _INSTRUCTIONS_H
#define _INSTRUCTIONS_H

#include "screen.h"
#include <SFML\System.hpp>
#include <SFML\Graphics.hpp>
#include <gui/WidgetImage.h>

using namespace sf;

class TitleEffect;

class Instructions :
	public Screen
{
	Image m_Logo;
	Sprite m_spLogo;

	Text m_Aim;
	Text m_CmdTitle;
	Text m_Cmd;

	WidgetImage m_imgRF;
	TitleEffect *m_Title;

public:
	Instructions(void);
	virtual ~Instructions(void);
	
	bool FrameMove(float elapsedTime);
	void Render(RenderWindow &screen) const;

	int MousePressed( int x, int y);
};

#endif
