#ifndef _TITLE_EFFECT_H
#define _TITLE_EFFECT_H

#include <graphics\BlinkEffect.h>

class TitleEffect
{
	static const int TITLE_SIZE = 4;
	float _LetterWidth[TITLE_SIZE];
	BlinkEffect *_BlinkLetters[TITLE_SIZE];

	Sprite _Glow;

	float _Timer;

public:
	TitleEffect(const Vector2f& position, const Image& img);
	~TitleEffect(void);
	
	bool FrameMove(float elapsedTime);
	void Render(sf::RenderWindow &screen);

	// Restart the animation 
	void Reset(void);

};

#endif
